Bug 984326 - IPA server configured to use only the Fedora NTP servers
IPA server configured to use only the Fedora NTP servers
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 19:23 EDT by Dean Hunter
Modified: 2015-02-18 09:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:00:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Hunter 2013-07-14 19:23:29 EDT
Description of problem:

For testing I am building IPA 3.2 on VMs in an isolated network, the VMs can see each other and the VM host but not the Internet.  ipa-server-install has no option to specify the NTP servers to use, in this case the VM host.  The IPA server is configured with NTP looking for the fedora.pool.ntp.org servers which are not accessible.  ipa-client-install has the --ntp-server option, but ipa-server-install help and man page do not indicate this option is available.

Please consider adding the --ntp-server option to ipa-server-install.


Version-Release number of selected component (if applicable):

freeipa-server-3.2.1-1.fc19.x86_64


How reproducible: Consistent
Comment 1 Martin Kosek 2013-07-15 06:47:17 EDT
While on IPA clients, we configure /etc/ntp.conf to sync with IPA master it is configured with. However, on IPA servers we don't overwrite /etc/ntp.conf and we just update it to run in an NTP server mode. So the original configured servers may be still in (fedora.pool.ntp.org server).

But I think we may want to be more consistent in ntp.conf configuration. For example as with IPA clients as we overwrite /etc/ntp.conf, the following default section is not in:

~~~~~~~~~~~~
# Enable public key cryptography.
#crypto

includefile /etc/ntp/crypto/pw
~~~~~~~~~~~~

I am thinking that with clients, we may just want to do the same as with server and do not overwrite the ntp.conf and just do the changes we need. This will make us more resilient to NTP  default conf changes.

For servers, we may indeed add option --ntp-server to overwrite the NTP server configuration in ntp.conf. Alexander, what do you think about this?
Comment 2 Alexander Bokovoy 2013-07-16 11:39:53 EDT
I think it makes sense. We would add --ntp-server to ipa-server-install and on client would handle merging in the changes.
Comment 3 Martin Kosek 2013-07-16 11:52:23 EDT
Ok, just wanted to have a second opinion on that. Cloning a ticket.
Comment 4 Martin Kosek 2013-07-16 11:55:16 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3789
Comment 5 Dean Hunter 2013-09-06 13:29:00 EDT
Work around:

  sed --in-place \\
    '/^server 0.fedora.pool.ntp.org/i server 192.168.$subnet.10' \\
    /etc/ntp.conf                                                                # RedHat bug 984326

  sed --in-place \\
    '/^server [0-9].fedora.pool.ntp.org/s/server/#server/' \\
    /etc/ntp.conf                                                                # RedHat bug 984326

  systemctl restart ntpd.service                                                 # RedHat bug 984326
Comment 6 Fedora End Of Life 2015-01-09 17:12:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-18 09:00:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.